Subject: Re: linux-next 20080526 build failure with CONFIG_BLOCK=y and CONFIG_PROC_FS is not set

From: Greg KH <[email-masked]>
Date: Tue, 27 May 2008 20:57:40 -0700

On Wed, May 28, 2008 at 12:34:16PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Mon, 26 May 2008 09:22:24 -0700 Randy Dunlap <[email-masked]> wrote:
> >
> > On Mon, 26 May 2008 11:28:14 +0200 Philippe Roussel wrote:
> > 
> > > I got this
> > > 
> > >   CC      block/genhd.o
> > > block/genhd.c: In function 'diskstats_start':
> > > block/genhd.c:555: error: 'find_start' undeclared (first use in this
> > > function)
> > > block/genhd.c:555: error: (Each undeclared identifier is reported only
> > > once
> > > block/genhd.c:555: error: for each function it appears in.)
> > > 
> > > while building the following config
> > 
> > I sent a patch for this last Friday:
> >   http://lkml.org/lkml/2008/5/23/255
> 
> Did you see this?

Ah, no, sorry, I totally missed it.

Randy, I've put your patch in my queue, in a place that keeps the build
error from ever happening.  Thanks for pointing it out.

greg k-h